<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextRevision Method (IEdmEnumeratorVersion5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVersion5 Interface : GetNextRevision Method (IEdmEnumeratorVersion5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next revision

Gets the revision at the next position of this enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextRevision( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmRevision5

C# |
--- | ---

    IEdmRevision5 GetNextRevision(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmRevision5^ GetNextRevision(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next revision

#### Return Value

IEdmRevision5

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first revision, IEdmPos5. Call IEdmEnumeratorVersion5::GetFirstRevisionPosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the revisions.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmEnumeratorVersion5 Interface
IEdmEnumeratorVersion5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2